package com.bocloud.ims.interfaces.resource;

import com.bocloud.cmp.model.VaultsModel;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.BackupVaults;

/**
 * 华为存储库
 *
 * @author admin
 */
public interface BackupVaultsService {

	/**
	 * 列表展示
	 *
	 * @param pager
	 * @param context
	 * @return
	 */
	BocloudResult<GridBean<BackupVaults>> list(Pager pager, RequestContext context);

	/**
	 * 创建
	 *
	 * @param backupVaults
	 * @param context
	 * @return
	 */
	BocloudResult create(BackupVaults backupVaults, RequestContext context);

	/**
	 * 修改
	 *
	 * @param backupVaults
	 * @param context
	 * @return
	 */
	BocloudResult modify(BackupVaults backupVaults, RequestContext context);

	/**
	 * 删除
	 *
	 * @param id
	 * @param context
	 * @return
	 */
	BocloudResult remove(Long id, RequestContext context);

	/**
	 * 详情
	 *
	 * @param id
	 * @return
	 */
	BocloudResult<BackupVaults> detail(Long id);

	/**
	 * 存储库绑定资源
	 *
	 * @param parasm
	 * @param context
	 * @return
	 */
	BocloudResult<String> addResources(BackupVaults backupVaultParam, RequestContext context);

	BocloudResult<String> backup(BackupVaults backupVaultParam, RequestContext context);

	BocloudResult<String> extend(BackupVaults backupVaultParam, RequestContext context);

}
